/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AddLayerVersionPermissionInput } from "../types/AddLayerVersionPermissionInput";
import { AddLayerVersionPermissionOutput } from "../types/AddLayerVersionPermissionOutput";
import { LambdaResolvedConfiguration } from "../LambdaConfiguration";
export * from "../types/AddLayerVersionPermissionInput";
export * from "../types/AddLayerVersionPermissionOutput";
export * from "../types/AddLayerVersionPermissionExceptionsUnion";
export declare class AddLayerVersionPermissionCommand implements __aws_sdk_types.Command<InputTypesUnion, AddLayerVersionPermissionInput, OutputTypesUnion, AddLayerVersionPermissionOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: AddLayerVersionPermissionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AddLayerVersionPermissionInput, AddLayerVersionPermissionOutput, _stream.Readable>;
    constructor(input: AddLayerVersionPermissionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<AddLayerVersionPermissionInput, AddLayerVersionPermissionOutput>;
}
