/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetLayerVersionInput } from "../types/GetLayerVersionInput";
import { GetLayerVersionOutput } from "../types/GetLayerVersionOutput";
import { LambdaResolvedConfiguration } from "../LambdaConfiguration";
export * from "../types/GetLayerVersionInput";
export * from "../types/GetLayerVersionOutput";
export * from "../types/GetLayerVersionExceptionsUnion";
export declare class GetLayerVersionCommand implements __aws_sdk_types.Command<InputTypesUnion, GetLayerVersionInput, OutputTypesUnion, GetLayerVersionOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: GetLayerVersionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetLayerVersionInput, GetLayerVersionOutput, _stream.Readable>;
    constructor(input: GetLayerVersionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<GetLayerVersionInput, GetLayerVersionOutput>;
}
