"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListAliasesInput_1 = require("../shapes/ListAliasesInput");
const ListAliasesOutput_1 = require("../shapes/ListAliasesOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListAliases = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListAliases",
    http: {
        method: "GET",
        requestUri: "/2015-03-31/functions/{FunctionName}/aliases"
    },
    input: {
        shape: ListAliasesInput_1.ListAliasesInput
    },
    output: {
        shape: ListAliasesOutput_1.ListAliasesOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=ListAliases.js.map