"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListLayersInput_1 = require("../shapes/ListLayersInput");
const ListLayersOutput_1 = require("../shapes/ListLayersOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListLayers = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListLayers",
    http: {
        method: "GET",
        requestUri: "/2018-10-31/layers"
    },
    input: {
        shape: ListLayersInput_1.ListLayersInput
    },
    output: {
        shape: ListLayersOutput_1.ListLayersOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=ListLayers.js.map