"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListEventSourceMappingsInput_1 = require("../shapes/ListEventSourceMappingsInput");
const ListEventSourceMappingsOutput_1 = require("../shapes/ListEventSourceMappingsOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListEventSourceMappings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListEventSourceMappings",
    http: {
        method: "GET",
        requestUri: "/2015-03-31/event-source-mappings/"
    },
    input: {
        shape: ListEventSourceMappingsInput_1.ListEventSourceMappingsInput
    },
    output: {
        shape: ListEventSourceMappingsOutput_1.ListEventSourceMappingsOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=ListEventSourceMappings.js.map