"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListFunctionsInput_1 = require("../shapes/ListFunctionsInput");
const ListFunctionsOutput_1 = require("../shapes/ListFunctionsOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListFunctions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListFunctions",
    http: {
        method: "GET",
        requestUri: "/2015-03-31/functions/"
    },
    input: {
        shape: ListFunctionsInput_1.ListFunctionsInput
    },
    output: {
        shape: ListFunctionsOutput_1.ListFunctionsOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=ListFunctions.js.map