"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _LayerVersionContentInput_1 = require("./_LayerVersionContentInput");
const _CompatibleRuntimes_1 = require("./_CompatibleRuntimes");
exports.PublishLayerVersionInput = {
    type: "structure",
    required: ["LayerName", "Content"],
    members: {
        LayerName: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "LayerName"
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        Content: {
            shape: _LayerVersionContentInput_1._LayerVersionContentInput
        },
        CompatibleRuntimes: {
            shape: _CompatibleRuntimes_1._CompatibleRuntimes
        },
        LicenseInfo: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=PublishLayerVersionInput.js.map